# mcserver
dead simple wrapper script to manage multiple minecraft server instances in
tmux, in a way that makes it extremely easy to use with systemd.

## instructions
1. install systemd unit in /etc/systemd/system, change `User` option to preferred user
2. create minecraft server instances in `~/.local/share/mcserver/instances`
	- you can also symlink server directories from elsewhere on the system
	- use `instance/` as a starting point. you need, at minimum, a `start.sh`
	  startup script that executes the server jar, the server jar itself and a
	  `vars` file
3. `systemctl enable --now mcserver@instancename`

## other info
there's a few other random things in the provided `instance` folder:
- a `start.sh` which should work for most use cases
- a `merge.sh` script to merge some of my default configs
- a starting point for the `vars` file
- an *incomplete* `update_paper.py` script that i was working on a few years
  ago but never finished
- a completed eula.txt (i have no idea the legality of sharing a pre-completed
  eula, nor do i care)
- a `start.bat` polyglot so that the server can also be used on windows
	- this was mainly for server auto restart via plugins, but this is no
	  longer needed with systemd
